__gnu_cxx::random_condition(3cxx)

NAME
__gnu_cxx::random_condition - Base class for random probability control and throw.

SYNOPSIS

#include <throw_allocator.h>

Inherits __gnu_cxx::condition_base.

Inherited by __gnu_cxx::throw_allocator_base< _Tp, random_condition >, and __gnu_cxx::throw_value_base< random_condition >.

  Classes

struct always_adjustor
Always enter the condition.
struct group_adjustor
Group condition.
struct never_adjustor
Never enter the condition.

  Public Member Functions

void seed (unsigned long __s)

  Static Public Member Functions

static void set_probability (double __p)
static void throw_conditionally ()

Detailed Description

Base class for random probability control and throw.

Author

Generated automatically by Doxygen for libstdc++ from the source code.